#> suiryu_christmas_present_defense:game/area/3/start
#
# エリア別スタート処理
#
# @within function suiryu_christmas_present_defense:game/start

# プレゼント設置
  summon villager 57.50 21.00 61.50 {Silent:1b,DeathLootTable:"0",PersistenceRequired:1b,NoAI:1b,Age:0,Tags:["present_box"],Offers:{},Attributes:[{Name:generic.max_health,Base:100}],Health:100f,Team:"PresentBox"}

# スタートマーカー
  summon marker 108.50 18.00 95.00 {Tags:["start_marker","Area3","Point1"],Rotation:[90f,0f]}
  summon marker 98.00 18.00 3.50 {Tags:["start_marker","Area3","Point2"],Rotation:[0f,0f]}
  summon marker 3.50 18.00 21.0 {Tags:["start_marker","Area3","Point3"],Rotation:[-90f,0f]}
  summon marker 15.00 18.00 108.00 {Tags:["start_marker","Area3","Point4"],Rotation:[180f,0f]}

# タワー設置エリア

  ##
    execute positioned 11.50 15.00 54.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower1","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 11.50 15.00 54.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 21.50 15.00 67.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower2","NotTower"],Rotation:[180f,0f],height:2.0f,width:3.0f}
    execute positioned 21.50 15.00 67.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 62.50 15.00 88.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower3","NotTower"],Rotation:[90f,0f],height:2.0f,width:3.0f}
    execute positioned 62.50 15.00 88.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 52.50 15.00 101.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower4","NotTower"],Rotation:[180f,0f],height:2.0f,width:3.0f}
    execute positioned 52.50 15.00 101.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 91.50 15.00 54.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower5","NotTower"],Rotation:[-90f,0f],height:2.0f,width:3.0f}
    execute positioned 91.50 15.00 54.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 101.50 15.00 67.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower6","NotTower"],Rotation:[180f,0f],height:2.0f,width:3.0f}
    execute positioned 101.50 15.00 67.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 49.50 15.00 27.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower7","NotTower"],Rotation:[180f,0f],height:2.0f,width:3.0f}
    execute positioned 49.50 15.00 27.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 59.50 15.00 14.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower8","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 59.50 15.00 14.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 32.50 21.00 41.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower9","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 32.50 21.00 41.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 35.50 21.00 85.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower10","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 35.50 21.00 85.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 78.50 21.00 78.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower11","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 78.50 21.00 78.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 76.50 21.00 38.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower12","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 76.50 21.00 38.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 64.50 22.00 52.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower13","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 64.50 22.00 52.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 47.50 22.00 69.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower14","NotTower"],Rotation:[-90f,0f],height:2.0f,width:3.0f}
    execute positioned 47.50 22.00 69.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    #execute positioned 52.50 -59.00 72.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower15","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    #execute positioned 52.50 -59.00 72.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    #execute positioned 32.50 -59.00 65.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower16","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    #execute positioned 32.50 -59.00 65.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

# ゲーム中断看板
  execute unless block 52 21 60 dark_oak_sign run setblock 52 21 60 air
  execute unless block 52 21 60 dark_oak_sign run setblock 52 21 60 dark_oak_sign[rotation=12]{front_text:{messages:['{"text":""}','{"translate":"suiryu_christmas_present_defense.game.give_up","color":"red","bold":true,"underlined":true}','{"text":""}','{"translate":"suiryu_christmas_present_defense.right_click","color":"green","bold":true,"clickEvent": {"action": "run_command","value": "/function suiryu_christmas_present_defense:game/give_up"}}']}}

# ガーディアン説明
  execute if score #SelectChapter Variable matches 2 if score #SelectEpisode Variable matches 1 run function suiryu_christmas_present_defense:game/area/3/start_1

# ファントム説明
  execute if score #SelectChapter Variable matches 2 if score #SelectEpisode Variable matches 3 run function suiryu_christmas_present_defense:game/area/3/start_3
