#> suiryu_christmas_present_defense:game/area/5/start
#
# エリア別スタート処理
#
# @within function suiryu_christmas_present_defense:game/start

# プレゼント設置
  summon villager 8.50 91.00 54.50 {Silent:1b,DeathLootTable:"0",PersistenceRequired:1b,NoAI:1b,Age:0,Tags:["present_box"],Offers:{},Attributes:[{Name:generic.max_health,Base:100}],Health:100f,Team:"PresentBox"}

# スタートマーカー
  summon marker 107.00 91.00 50.00 {Tags:["start_marker","Area5","Point1"],Rotation:[90f,0f]}
  summon marker 107.00 91.00 60.00 {Tags:["start_marker","Area5","Point2"],Rotation:[90f,0f]}
  summon marker 107.00 100.00 27.00 {Tags:["start_marker","Area5","Point3"],Rotation:[90f,0f]}
  summon marker 107.00 110.00 14.00 {Tags:["start_marker","Area5","Point4"],Rotation:[90f,0f]}
  summon marker 107.00 100.00 83.00 {Tags:["start_marker","Area5","Point5"],Rotation:[90f,0f]}
  summon marker 107.00 110.00 96.00 {Tags:["start_marker","Area5","Point6"],Rotation:[90f,0f]}

# タワー設置エリア

  ##
    execute positioned 84.50 110.00 102.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower1","NotTower"],Rotation:[180f,0f],height:2.0f,width:3.0f}
    execute positioned 84.50 110.00 102.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 28.50 110.00 102.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower2","NotTower"],Rotation:[180f,0f],height:2.0f,width:3.0f}
    execute positioned 28.50 110.00 102.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 91.50 100.00 89.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower3","NotTower"],Rotation:[180f,0f],height:2.0f,width:3.0f}
    execute positioned 91.50 100.00 89.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 90.50 95.00 76.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower4","NotTower"],Rotation:[180f,0f],height:2.0f,width:3.0f}
    execute positioned 90.50 95.00 76.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 56.50 95.00 76.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower5","NotTower"],Rotation:[180f,0f],height:2.0f,width:3.0f}
    execute positioned 56.50 95.00 76.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 35.50 95.00 76.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower6","NotTower"],Rotation:[180f,0f],height:2.0f,width:3.0f}
    execute positioned 35.50 95.00 76.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 31.50 91.00 66.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower7","NotTower"],Rotation:[180f,0f],height:2.0f,width:3.0f}
    execute positioned 31.50 91.00 66.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 66.50 91.00 66.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower8","NotTower"],Rotation:[180f,0f],height:2.0f,width:3.0f}
    execute positioned 66.50 91.00 66.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 76.50 91.00 43.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower9","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 76.50 91.00 43.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 49.50 91.00 43.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower10","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 49.50 91.00 43.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 11.50 95.00 33.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower11","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 11.50 95.00 33.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 63.50 95.00 33.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower12","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 63.50 95.00 33.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 75.50 100.00 20.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower13","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 75.50 100.00 20.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 33.50 100.00 20.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower14","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 33.50 100.00 20.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 51.50 110.00 7.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower15","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 51.50 110.00 7.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    #execute positioned 32.50 -59.00 65.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower16","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    #execute positioned 32.50 -59.00 65.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

# ゲーム中断看板
  execute unless block 2 92 54 dark_oak_wall_sign run setblock 2 92 54 air
  execute unless block 2 92 54 dark_oak_wall_sign run setblock 2 92 54 dark_oak_wall_sign[facing=east]{front_text:{messages:['{"text":""}','{"translate":"suiryu_christmas_present_defense.game.give_up","color":"red","bold":true,"underlined":true}','{"text":""}','{"translate":"suiryu_christmas_present_defense.right_click","color":"green","bold":true,"clickEvent": {"action": "run_command","value": "/function suiryu_christmas_present_defense:game/give_up"}}']}}

# コウモリ説明
  execute if score #SelectChapter Variable matches 3 if score #SelectEpisode Variable matches 2 run function suiryu_christmas_present_defense:game/area/5/start_6

# ウィザー説明
  execute if score #SelectChapter Variable matches 9 if score #SelectEpisode Variable matches 2 run function suiryu_christmas_present_defense:game/area/5/start_3
