#> suiryu_christmas_present_defense:game/area/8/start
#
# エリア別スタート処理
#
# @within function suiryu_christmas_present_defense:game/start

# プレゼント設置
  summon villager 8.50 205.00 9.50 {Silent:1b,DeathLootTable:"0",PersistenceRequired:1b,NoAI:1b,Age:0,Tags:["present_box"],Offers:{},Attributes:[{Name:generic.max_health,Base:100}],Health:100f,Team:"PresentBox",active_effects:[{id:"minecraft:water_breathing",amplifier:0,show_particles:0b,duration:-1}]}

# スタートマーカー
  summon marker 7.00 205.00 108.00 {Tags:["start_marker","Area8","Point1"],Rotation:[180f,0f]}
  summon marker 108.00 205.00 94.00 {Tags:["start_marker","Area8","Point2"],Rotation:[90f,0f]}
  summon marker 108.00 205.00 57.00 {Tags:["start_marker","Area8","Point3"],Rotation:[90f,0f]}
  summon marker 108.00 205.00 7.00 {Tags:["start_marker","Area8","Point4"],Rotation:[90f,0f]}

# タワー設置エリア

  ##
    execute positioned 94.50 222.00 14.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower1","NotTower"],Rotation:[90f,0f],height:2.0f,width:3.0f}
    execute positioned 94.50 222.00 14.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 94.50 222.00 49.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower2","NotTower"],Rotation:[90f,0f],height:2.0f,width:3.0f}
    execute positioned 94.50 222.00 49.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 79.50 222.00 14.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower3","NotTower"],Rotation:[-90f,0f],height:2.0f,width:3.0f}
    execute positioned 79.50 222.00 14.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 79.50 222.00 49.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower4","NotTower"],Rotation:[-90f,0f],height:2.0f,width:3.0f}
    execute positioned 79.50 222.00 49.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 14.50 222.00 14.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower5","NotTower"],Rotation:[90f,0f],height:2.0f,width:3.0f}
    execute positioned 14.50 222.00 14.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 14.50 222.00 49.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower6","NotTower"],Rotation:[90f,0f],height:2.0f,width:3.0f}
    execute positioned 14.50 222.00 49.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 14.50 222.00 64.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower7","NotTower"],Rotation:[90f,0f],height:2.0f,width:3.0f}
    execute positioned 14.50 222.00 64.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 14.50 222.00 86.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower8","NotTower"],Rotation:[90f,0f],height:2.0f,width:3.0f}
    execute positioned 14.50 222.00 86.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 14.50 222.00 101.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower9","NotTower"],Rotation:[90f,0f],height:2.0f,width:3.0f}
    execute positioned 14.50 222.00 101.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 40.50 222.00 86.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower10","NotTower"],Rotation:[-90f,0f],height:2.0f,width:3.0f}
    execute positioned 40.50 222.00 86.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 40.50 222.00 64.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower11","NotTower"],Rotation:[-90f,0f],height:2.0f,width:3.0f}
    execute positioned 40.50 222.00 64.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 55.50 222.00 64.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower12","NotTower"],Rotation:[90f,0f],height:2.0f,width:3.0f}
    execute positioned 55.50 222.00 64.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 55.50 222.00 86.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower13","NotTower"],Rotation:[90f,0f],height:2.0f,width:3.0f}
    execute positioned 55.50 222.00 86.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    #execute positioned 33.50 100.00 20.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower14","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    #execute positioned 33.50 100.00 20.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    #execute positioned 51.50 110.00 7.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower15","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    #execute positioned 51.50 110.00 7.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    #execute positioned 32.50 -59.00 65.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower16","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    #execute positioned 32.50 -59.00 65.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

# ゲーム中断看板
  execute unless block 6 206 2 dark_oak_wall_sign run setblock 6 206 2 air
  execute unless block 6 206 2 dark_oak_wall_sign run setblock 6 206 2 dark_oak_wall_sign[facing=south,waterlogged=true]{front_text:{messages:['{"text":""}','{"translate":"suiryu_christmas_present_defense.game.give_up","color":"red","bold":true,"underlined":true}','{"text":""}','{"translate":"suiryu_christmas_present_defense.right_click","color":"green","bold":true,"clickEvent": {"action": "run_command","value": "/function suiryu_christmas_present_defense:game/give_up"}}']}}

# コウモリ説明
  execute if score #SelectChapter Variable matches 9 if score #SelectEpisode Variable matches 8 run function suiryu_christmas_present_defense:game/area/8/start_6

# ファントム説明
  #execute if score #SelectChapter Variable matches 2 if score #SelectEpisode Variable matches 3 run function suiryu_christmas_present_defense:game/area/8/start_3
