#> suiryu_christmas_present_defense:game/clear
#
# クリア
#
# @within function suiryu_christmas_present_defense:game/chapter/1/episode_1/tick

# 終了処理
  function suiryu_christmas_present_defense:game/give_up

# タイトル
  title @a title [{"text": "Congratulations!","color": "yellow"}]
  title @a subtitle [{"score":{"name": "#SelectChapter","objective": "Variable"},"color": "gold"},{"text": " - "},{"score":{"name": "#SelectEpisode","objective": "Variable"}}]

# サウンド
  execute as @a at @s run playsound minecraft:item.goat_horn.sound.1 master @a ~ ~ ~ 20 2

# 選択チャプター取得
  scoreboard players operation #ClearStage Variable = #SelectChapter Variable

# 選択中のステージ計算
  scoreboard players remove #ClearStage Variable 1
  scoreboard players operation #ClearStage Variable *= #10 Variable
  scoreboard players operation #ClearStage Variable += #SelectEpisode Variable

# タワー解放
  execute if score #ClearStage Variable matches 1 if score #Clear Variable matches 0 run tellraw @a [{"translate":"suiryu_christmas_present_defense.released_new_tower","with":[{"translate":"suiryu_christmas_present_defense.tower.snowman"}],"color":"gold"}]
  execute if score #ClearStage Variable matches 2 if score #Clear Variable matches 1 run tellraw @a [{"translate":"suiryu_christmas_present_defense.released_new_tower","with":[{"translate":"suiryu_christmas_present_defense.tower.bomb"}],"color":"gold"}]
  execute if score #ClearStage Variable matches 5 if score #Clear Variable matches 4 run tellraw @a [{"translate":"suiryu_christmas_present_defense.released_new_tower","with":[{"translate":"suiryu_christmas_present_defense.tower.electric"}],"color":"gold"}]
  execute if score #ClearStage Variable matches 10 if score #Clear Variable matches 9 run tellraw @a [{"translate":"suiryu_christmas_present_defense.released_new_tower","with":[{"translate":"suiryu_christmas_present_defense.tower.holy"}],"color":"gold"}]
  execute if score #ClearStage Variable matches 15 if score #Clear Variable matches 14 run tellraw @a [{"translate":"suiryu_christmas_present_defense.released_new_tower","with":[{"translate":"suiryu_christmas_present_defense.tower.flame"}],"color":"gold"}]
  execute if score #ClearStage Variable matches 20 if score #Clear Variable matches 19 run tellraw @a [{"translate":"suiryu_christmas_present_defense.released_new_tower","with":[{"translate":"suiryu_christmas_present_defense.tower.laser"}],"color":"gold"}]
  execute if score #ClearStage Variable matches 25 if score #Clear Variable matches 24 run tellraw @a [{"translate":"suiryu_christmas_present_defense.released_new_tower","with":[{"translate":"suiryu_christmas_present_defense.tower.firework"}],"color":"gold"}]
  execute if score #ClearStage Variable matches 30 if score #Clear Variable matches 29 run tellraw @a [{"translate":"suiryu_christmas_present_defense.released_new_tower","with":[{"translate":"suiryu_christmas_present_defense.tower.energy_generation"}],"color":"gold"}]
  execute if score #ClearStage Variable matches 35 if score #Clear Variable matches 34 run tellraw @a [{"translate":"suiryu_christmas_present_defense.released_new_tower","with":[{"translate":"suiryu_christmas_present_defense.tower.zeus"}],"color":"gold"}]
  execute if score #ClearStage Variable matches 40 if score #Clear Variable matches 39 run tellraw @a [{"translate":"suiryu_christmas_present_defense.released_new_tower","with":[{"translate":"suiryu_christmas_present_defense.tower.ultrasound"}],"color":"gold"}]
  execute if score #ClearStage Variable matches 45 if score #Clear Variable matches 44 run tellraw @a [{"translate":"suiryu_christmas_present_defense.released_new_tower","with":[{"translate":"suiryu_christmas_present_defense.tower.gatling"}],"color":"gold"}]
  execute if score #ClearStage Variable matches 50 if score #Clear Variable matches 49 run tellraw @a [{"translate":"suiryu_christmas_present_defense.released_new_tower","with":[{"translate":"suiryu_christmas_present_defense.tower.frog"}],"color":"gold"}]
  execute if score #ClearStage Variable matches 55 if score #Clear Variable matches 54 run tellraw @a [{"translate":"suiryu_christmas_present_defense.released_new_tower","with":[{"translate":"suiryu_christmas_present_defense.tower.gate"}],"color":"gold"}]
  execute if score #ClearStage Variable matches 60 if score #Clear Variable matches 59 run tellraw @a [{"translate":"suiryu_christmas_present_defense.released_new_tower","with":[{"translate":"suiryu_christmas_present_defense.tower.drone"}],"color":"gold"}]
  execute if score #ClearStage Variable matches 65 if score #Clear Variable matches 64 run tellraw @a [{"translate":"suiryu_christmas_present_defense.released_new_tower","with":[{"translate":"suiryu_christmas_present_defense.tower.search"}],"color":"gold"}]
  execute if score #ClearStage Variable matches 70 if score #Clear Variable matches 69 run tellraw @a [{"translate":"suiryu_christmas_present_defense.released_new_tower","with":[{"translate":"suiryu_christmas_present_defense.tower.silence"}],"color":"gold"}]
  execute if score #ClearStage Variable matches 75 if score #Clear Variable matches 74 run tellraw @a [{"translate":"suiryu_christmas_present_defense.released_new_tower","with":[{"translate":"suiryu_christmas_present_defense.tower.stealth"}],"color":"gold"}]
  execute if score #ClearStage Variable matches 80 if score #Clear Variable matches 79 run tellraw @a [{"translate":"suiryu_christmas_present_defense.released_new_tower","with":[{"translate":"suiryu_christmas_present_defense.tower.plasma"}],"color":"gold"}]
  execute if score #ClearStage Variable matches 85 if score #Clear Variable matches 84 run tellraw @a [{"translate":"suiryu_christmas_present_defense.released_new_tower","with":[{"translate":"suiryu_christmas_present_defense.tower.energy_link"}],"color":"gold"}]
  execute if score #ClearStage Variable matches 90 if score #Clear Variable matches 89 run tellraw @a [{"translate":"suiryu_christmas_present_defense.released_new_tower","with":[{"translate":"suiryu_christmas_present_defense.tower.hybrid"}],"color":"gold"}]
  execute if score #ClearStage Variable matches 95 if score #Clear Variable matches 94 run tellraw @a [{"translate":"suiryu_christmas_present_defense.released_new_tower","with":[{"translate":"suiryu_christmas_present_defense.tower.tree"}],"color":"gold"}]

# 新しいステージクリア
  execute if score #Clear Variable < #ClearStage Variable run function suiryu_christmas_present_defense:game/sign_update
