#> suiryu_christmas_present_defense:game/tick
#
# ゲーム中常時実行
#
# @within function suiryu_christmas_present_defense:tick

# プレゼントの体力表示
  execute store result bossbar present value run data get entity @e[type=villager,tag=present_box,limit=1] Health
  bossbar set present players @a

# タイマー増加
  scoreboard players add #Timer Variable 1
  scoreboard players add #EnergyTimer Variable 1

# エナジー回復
  execute if score #EnergyTimer Variable matches 20.. run scoreboard players add #Energy Variable 1
  execute if score #EnergyTimer Variable matches 20.. run scoreboard players set #EnergyTimer Variable 0
  execute if score #Energy Variable matches 10000.. run scoreboard players set #Energy Variable 9999

# エナジー取得
  execute store result storage tmp -.Energy int 1 run scoreboard players get #Energy Variable

# 経験値バーにエナジーを反映
  function suiryu_christmas_present_defense:game/set_exp_bar with storage tmp -

# ステージ別処理
  execute if score #SelectChapter Variable matches 1 run function suiryu_christmas_present_defense:game/chapter/1/tick
  execute if score #SelectChapter Variable matches 2 run function suiryu_christmas_present_defense:game/chapter/2/tick
  execute if score #SelectChapter Variable matches 3 run function suiryu_christmas_present_defense:game/chapter/3/tick
  execute if score #SelectChapter Variable matches 4 run function suiryu_christmas_present_defense:game/chapter/4/tick
  execute if score #SelectChapter Variable matches 5 run function suiryu_christmas_present_defense:game/chapter/5/tick
  execute if score #SelectChapter Variable matches 6 run function suiryu_christmas_present_defense:game/chapter/6/tick
  execute if score #SelectChapter Variable matches 7 run function suiryu_christmas_present_defense:game/chapter/7/tick
  execute if score #SelectChapter Variable matches 8 run function suiryu_christmas_present_defense:game/chapter/8/tick
  execute if score #SelectChapter Variable matches 9 run function suiryu_christmas_present_defense:game/chapter/9/tick
  execute if score #SelectChapter Variable matches 10 run function suiryu_christmas_present_defense:game/chapter/10/tick

# エリア別処理
  execute if score #Area Variable matches 1 run function suiryu_christmas_present_defense:game/area/1/tick
  execute if score #Area Variable matches 2 run function suiryu_christmas_present_defense:game/area/2/tick
  execute if score #Area Variable matches 3 run function suiryu_christmas_present_defense:game/area/3/tick
  execute if score #Area Variable matches 4 run function suiryu_christmas_present_defense:game/area/4/tick
  execute if score #Area Variable matches 5 run function suiryu_christmas_present_defense:game/area/5/tick
  execute if score #Area Variable matches 6 run function suiryu_christmas_present_defense:game/area/6/tick
  execute if score #Area Variable matches 7 run function suiryu_christmas_present_defense:game/area/7/tick
  execute if score #Area Variable matches 8 run function suiryu_christmas_present_defense:game/area/8/tick
  execute if score #Area Variable matches 9 run function suiryu_christmas_present_defense:game/area/9/tick
  execute if score #Area Variable matches 10 run function suiryu_christmas_present_defense:game/area/10/tick

# bossbar
  bossbar set wave name [{"text": "Wave ","color": "red"},{"score":{"name": "#NowWave","objective": "Variable"}},{"text": "/"},{"score":{"name": "#Wave","objective": "Variable"}}]
  bossbar set wave players @a

# タワー
  execute as @e[type=interaction,tag=Tower] at @s run function suiryu_christmas_present_defense:game/tower/tick

# 村人が倒されたらゲームオーバー
  execute if score #Playing Variable matches 1 unless entity @e[type=villager,tag=present_box] run function suiryu_christmas_present_defense:game/game_over

# トラバサミ
  execute as @e[type=item_display,tag=trap_scissors] at @s run function suiryu_christmas_present_defense:game/item/trap_scissors/tick

# ポイズントラップ
  execute as @e[type=item_display,tag=poison_trap] at @s run function suiryu_christmas_present_defense:game/item/poison_trap/tick

# グラヴィティトラップ
  execute as @e[type=item_display,tag=gravity_trap] at @s run function suiryu_christmas_present_defense:game/item/gravity_trap/tick

# プレゼントボックス
  execute as @e[type=item_display,tag=present_box] at @s run function suiryu_christmas_present_defense:game/item/present_box/tick

# 雪玉強化

  ## 雪玉確認
    execute as @e[type=snowball,tag=!snowball_check] at @s run function suiryu_christmas_present_defense:game/tower/2_snowman/upgrade/snowball_check

  ## ヒット確認
    execute as @e[type=marker,tag=snowball_upgrade_marker] unless predicate suiryu_christmas_present_defense:enemy/on_ride at @s run function suiryu_christmas_present_defense:game/tower/2_snowman/upgrade/marker

# TNT
  execute as @e[type=tnt,tag=BombTower.TNT] at @s run function suiryu_christmas_present_defense:game/tower/3_bomb/bomb/tick

# ファントム
  execute as @e[type=phantom,tag=enemy] at @s run function suiryu_christmas_present_defense:game/enemy/phantom/tick

# 炎弾
  execute as @e[type=item_display,tag=FlameTower.fireball] at @s run function suiryu_christmas_present_defense:game/tower/6_flame/flame/tick

# クリーパー
  execute as @e[type=creeper,tag=enemy,tag=!creeper.fused] at @s run function suiryu_christmas_present_defense:game/enemy/creeper/tick

# クリーパー爆発
  execute as @e[type=area_effect_cloud,nbt={effects:[{id:"minecraft:hunger"}]}] at @s run function suiryu_christmas_present_defense:game/enemy/creeper/explode

# コウモリ
  execute as @e[type=bat,tag=enemy] at @s run function suiryu_christmas_present_defense:game/enemy/bat/tick

# コウモリの超音波
  execute as @e[type=marker,tag=bat.sonic.marker] at @s run function suiryu_christmas_present_defense:game/enemy/bat/sonic0

# 花火
  execute as @e[type=marker,tag=firework.marker,predicate=!suiryu_christmas_present_defense:is_riding] at @s run function suiryu_christmas_present_defense:game/tower/8_firework/firework/tick

# ファントムライダー
  execute as @e[type=zombie,tag=phantom_rider,predicate=!suiryu_christmas_present_defense:is_riding] run function suiryu_christmas_present_defense:game/enemy/phantom_rider/tick_rider

# ハチライダー
  execute as @e[type=vindicator,tag=bee_rider,predicate=!suiryu_christmas_present_defense:is_riding] run function suiryu_christmas_present_defense:game/enemy/bee_rider/tick_rider

# カエル
  execute as @e[type=frog,tag=FrogTower.frog] at @s run function suiryu_christmas_present_defense:game/tower/13_frog/frog/tick

# スケルトンガーディアン
  execute as @e[type=skeleton,tag=skeleton_guardian,predicate=!suiryu_christmas_present_defense:enemy/silence] at @s run function suiryu_christmas_present_defense:game/enemy/skeleton_guardian/tick

# ネクロマンサー
  execute as @e[type=witch,tag=necromancer,predicate=!suiryu_christmas_present_defense:enemy/silence] at @s run function suiryu_christmas_present_defense:game/enemy/necromancer/tick

# ステルスウィザード
  execute as @e[type=witch,tag=stealth_wizard,predicate=!suiryu_christmas_present_defense:enemy/silence] at @s run effect give @e[type=#suiryu_christmas_present_defense:enemy,tag=enemy,predicate=!suiryu_christmas_present_defense:enemy/invisibility,distance=..5] invisibility 1 0 true

# ウィザー
  execute as @e[type=wither,tag=enemy,predicate=!suiryu_christmas_present_defense:enemy/silence] at @s as @e[type=interaction,tag=Tower,scores={TowerOutage=0},distance=..25] at @s run function suiryu_christmas_present_defense:game/enemy/wither/stop

# ブリーズ
  execute as @e[type=breeze,tag=enemy,predicate=!suiryu_christmas_present_defense:enemy/silence] at @s run function suiryu_christmas_present_defense:game/enemy/breeze/tick

# ウォーデン
  execute as @e[type=warden,tag=enemy] at @s run function suiryu_christmas_present_defense:game/enemy/warden/tick

# エルダーガーディアン
  execute as @e[type=elder_guardian,tag=enemy] at @s run function suiryu_christmas_present_defense:game/enemy/elder_guardian/tick

# ヴェックス消去
  execute as @e[type=vex,tag=!vex.summoned] at @s run function suiryu_christmas_present_defense:game/enemy/vex/summon

# ストレージ削除
  data remove storage tmp -
