#> suiryu_christmas_present_defense:game/tower/12_gatling/install
#
# アロータワー設置
#
# @within function suiryu_christmas_present_defense:game/tower/12_gatling/trigger

# 最大配置数確認
  execute if score #GatlingTower Variable >= #GatlingTowerMax Variable run tellraw @a[tag=me] [{"translate":"suiryu_christmas_present_defense.tower.max_install","color": "red"}]
  execute if score #GatlingTower Variable >= #GatlingTowerMax Variable run return 0

# エナジー確認
  execute if score #Energy Variable matches ..499 run tellraw @a[tag=me] [{"translate":"suiryu_christmas_present_defense.tower.not_enough_energy","color": "red"}]
  execute if score #Energy Variable matches ..499 run return 0

# 既にタワーが立っている場合
  execute if entity @s[tag=!NotTower] run tellraw @a[tag=me] [{"translate":"suiryu_christmas_present_defense.tower.already_tower_installed","color": "red"}]
  execute if entity @s[tag=!NotTower] run return 0

# タグ消去
  tag @s remove NotTower

# タグセット
  tag @s add GatlingTower

# スコア初期化
  scoreboard players set @s TowerLevel 1
  scoreboard players set @s TowerAbility1 0
  scoreboard players set @s TowerAbility2 0
  scoreboard players set @s TowerRange 20
  scoreboard players set @s TowerCT 0
  scoreboard players set @s TowerCTMax 4
  scoreboard players set @s TowerDamage 2
  scoreboard players set @s TowerEnergy 200
  scoreboard players set @s TowerOutage 0
  scoreboard players set @s Respawn 300
  scoreboard players set @s RightClick 200

# タワー召喚
  summon item_display ~ ~ ~ {view_range:100f,glow_color_override:15601937,Tags:["GatlingTower","GatlingTower.Tower"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,1.5f,0f],scale:[3f,3f,3f]},item:{id:"minecraft:scute",Count:1b,tag:{CustomModelData:19}},teleport_duration:0}
  summon item_display ~ ~5.9 ~ {view_range:100f,glow_color_override:15601937,Tags:["GatlingTower","GatlingTower.Cannon"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[6f,6f,6f]},item:{id:"minecraft:scute",Count:1b,tag:{CustomModelData:20}},teleport_duration:1}

# 向き設定
  execute at @s as @e[type=item_display,tag=GatlingTower,limit=1,distance=..1] run tp @s ~ ~ ~ ~ 0

# エナジー減少
  scoreboard players remove #Energy Variable 500

# サウンド
  playsound minecraft:block.iron_door.close master @a ~ ~ ~ 2 0

# 設置数増加
  scoreboard players add #GatlingTower Variable 1

# ディスプレイ再表示
  function suiryu_christmas_present_defense:game/tower/right_click/display

# テキストディスプレイ消去
  execute positioned ~ ~1.5 ~ run kill @e[type=text_display,tag=TowerText,distance=..1]
