#> suiryu_christmas_present_defense:game/tower/19_plasma/attack/check_enemy
#
# 敵が範囲内に居るか確認
#
# @within function suiryu_christmas_present_defense:game/tower/19_plasma/attack/attack

# 敵が範囲内に居るか確認
  $execute unless entity @e[type=#suiryu_christmas_present_defense:enemy,tag=enemy,predicate=!suiryu_christmas_present_defense:enemy/invisibility,limit=1,sort=nearest,distance=..$(Range)] run return 0

# ダメージ取得
  scoreboard players operation #Damage Variable = @s TowerDamage

# アビリティ1
  execute if score @s TowerAbility1 matches 1 if score #Energy Variable matches 100.. run scoreboard players add #Damage Variable 100
  execute if score @s TowerAbility1 matches 1 if score #Energy Variable matches 100.. run scoreboard players remove #Energy Variable 100
  execute if score @s TowerAbility1 matches 2 if score #Energy Variable matches 200.. run scoreboard players add #Damage Variable 200
  execute if score @s TowerAbility1 matches 2 if score #Energy Variable matches 200.. run scoreboard players remove #Energy Variable 200
  execute if score @s TowerAbility1 matches 3 if score #Energy Variable matches 300.. run scoreboard players add #Damage Variable 300
  execute if score @s TowerAbility1 matches 3 if score #Energy Variable matches 300.. run scoreboard players remove #Energy Variable 300
  execute if score @s TowerAbility1 matches 4 if score #Energy Variable matches 400.. run scoreboard players add #Damage Variable 400
  execute if score @s TowerAbility1 matches 4 if score #Energy Variable matches 400.. run scoreboard players remove #Energy Variable 400
  execute if score @s TowerAbility1 matches 5 if score #Energy Variable matches 500.. run scoreboard players add #Damage Variable 500
  execute if score @s TowerAbility1 matches 5 if score #Energy Variable matches 500.. run scoreboard players remove #Energy Variable 500

# データ設定
  execute store result storage tmp -.Damage int 1 run scoreboard players get #Damage Variable

# タグセット
  $tag @e[type=#suiryu_christmas_present_defense:enemy,tag=enemy,predicate=!suiryu_christmas_present_defense:enemy/invisibility,limit=1,sort=nearest,distance=..$(Range)] add PlasmaTarget

# レーザー
  execute positioned ~ ~5.5 ~ as @e[type=#suiryu_christmas_present_defense:enemy,tag=PlasmaTarget] run function suiryu_christmas_present_defense:game/tower/19_plasma/attack/summon

# タグ消去
  tag @e[type=#suiryu_christmas_present_defense:enemy,tag=PlasmaTarget0] remove PlasmaTarget0

# データ削除
  data remove storage tmp -

# サウンド
  execute positioned ~ ~5.5 ~ run playsound minecraft:entity.firework_rocket.twinkle master @a ~ ~ ~ 0.5 2
  execute positioned ~ ~5.5 ~ run playsound minecraft:entity.firework_rocket.twinkle master @a ~ ~ ~ 0.5 1.9
  execute positioned ~ ~5.5 ~ run playsound minecraft:entity.firework_rocket.twinkle master @a ~ ~ ~ 0.5 1.8
  execute positioned ~ ~5.5 ~ run playsound minecraft:entity.firework_rocket.twinkle master @a ~ ~ ~ 0.5 1.7
  execute positioned ~ ~5.5 ~ run playsound minecraft:entity.firework_rocket.twinkle master @a ~ ~ ~ 0.5 1.6

# CT設定
  scoreboard players operation @s TowerCT = @s TowerCTMax
