#> suiryu_christmas_present_defense:game/tower/7_laser/install
#
# レーザータワー設置
#
# @within function suiryu_christmas_present_defense:game/tower/7_laser/trigger

# 最大配置数確認
  execute if score #LaserTower Variable >= #LaserTowerMax Variable run tellraw @a[tag=me] [{"translate":"suiryu_christmas_present_defense.tower.max_install","color": "red"}]
  execute if score #LaserTower Variable >= #LaserTowerMax Variable run return 0

# エナジー確認
  execute if score #Energy Variable matches ..199 run tellraw @a[tag=me] [{"translate":"suiryu_christmas_present_defense.tower.not_enough_energy","color": "red"}]
  execute if score #Energy Variable matches ..199 run return 0

# 既にタワーが立っている場合
  execute if entity @s[tag=!NotTower] run tellraw @a[tag=me] [{"translate":"suiryu_christmas_present_defense.tower.already_tower_installed","color": "red"}]
  execute if entity @s[tag=!NotTower] run return 0

# タグ消去
  tag @s remove NotTower

# タグセット
  tag @s add LaserTower

# スコア初期化
  scoreboard players set @s TowerLevel 1
  scoreboard players set @s TowerAbility1 0
  scoreboard players set @s TowerAbility2 0
  scoreboard players set @s TowerRange 100
  scoreboard players set @s TowerCT 0
  scoreboard players set @s TowerCTMax 100
  scoreboard players set @s TowerDamage 70
  scoreboard players set @s TowerEnergy 0
  scoreboard players set @s TowerOutage 0

# タワー召喚
  summon item_display ~ ~ ~ {view_range:100f,glow_color_override:15601937,Tags:["LaserTower","LaserTower.Tower"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,1.5f,0f],scale:[3f,3f,3f]},item:{id:"minecraft:scute",Count:1b,tag:{CustomModelData:12}},teleport_duration:0}

# 向き設定
  execute at @s as @e[type=item_display,tag=LaserTower,limit=1,distance=..1] run tp @s ~ ~ ~ ~ 0

# エナジー減少
  scoreboard players remove #Energy Variable 200

# サウンド
  playsound minecraft:block.iron_door.close master @a ~ ~ ~ 2 0

# 設置数増加
  scoreboard players add #LaserTower Variable 1

# ディスプレイ再表示
  function suiryu_christmas_present_defense:game/tower/right_click/display

# テキストディスプレイ消去
  execute positioned ~ ~1.5 ~ run kill @e[type=text_display,tag=TowerText,distance=..1]
