#> suiryu_christmas_present_defense:game/area/6/start
#
# エリア別スタート処理
#
# @within function suiryu_christmas_present_defense:game/start

# プレゼント設置
  summon villager 50.50 129.00 64.50 {Silent:1b,DeathLootTable:"0",PersistenceRequired:1b,NoAI:1b,Age:0,Tags:["present_box"],Offers:{},Attributes:[{Name:generic.max_health,Base:100}],Health:100f,Team:"PresentBox"}

# スタートマーカー
  summon marker 53.00 129.00 5.00 {Tags:["start_marker","Area6","Point1"],Rotation:[0f,0f]}
  summon marker 53.00 129.00 107.00 {Tags:["start_marker","Area6","Point2"],Rotation:[180f,0f]}
  summon marker 4.00 129.00 64.00 {Tags:["start_marker","Area6","Point3"],Rotation:[-90f,0f]}
  summon marker 107.00 129.00 64.00 {Tags:["start_marker","Area6","Point4"],Rotation:[90f,0f]}

# タワー設置エリア

  ##
    execute positioned 59.50 129.00 70.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower1","NotTower"],Rotation:[180f,0f],height:2.0f,width:3.0f}
    execute positioned 59.50 129.00 70.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 46.50 129.00 57.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower2","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 46.50 129.00 57.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 78.50 129.00 70.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower3","NotTower"],Rotation:[180f,0f],height:2.0f,width:3.0f}
    execute positioned 78.50 129.00 70.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 78.50 129.00 89.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower4","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 78.50 129.00 89.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 59.50 129.00 89.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower5","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 59.50 129.00 89.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 26.50 129.00 84.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower6","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 26.50 129.00 84.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 21.50 129.00 57.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower7","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 21.50 129.00 57.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 21.50 129.00 25.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower8","NotTower"],Rotation:[90f,0f],height:2.0f,width:3.0f}
    execute positioned 21.50 129.00 25.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 46.50 129.00 25.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower9","NotTower"],Rotation:[-90f,0f],height:2.0f,width:3.0f}
    execute positioned 46.50 129.00 25.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 85.50 129.00 38.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower10","NotTower"],Rotation:[-90f,0f],height:2.0f,width:3.0f}
    execute positioned 85.50 129.00 38.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    #execute positioned 11.50 95.00 33.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower11","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    #execute positioned 11.50 95.00 33.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    #execute positioned 63.50 95.00 33.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower12","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    #execute positioned 63.50 95.00 33.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    #execute positioned 75.50 100.00 20.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower13","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    #execute positioned 75.50 100.00 20.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    #execute positioned 33.50 100.00 20.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower14","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    #execute positioned 33.50 100.00 20.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    #execute positioned 51.50 110.00 7.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower15","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    #execute positioned 51.50 110.00 7.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    #execute positioned 32.50 -59.00 65.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower16","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    #execute positioned 32.50 -59.00 65.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

# ゲーム中断看板
  execute unless block 46 130 68 dark_oak_wall_sign run setblock 46 130 68 air
  execute unless block 46 130 68 dark_oak_wall_sign run setblock 46 130 68 dark_oak_wall_sign[facing=north]{front_text:{messages:['{"text":""}','{"translate":"suiryu_christmas_present_defense.game.give_up","color":"red","bold":true,"underlined":true}','{"text":""}','{"translate":"suiryu_christmas_present_defense.right_click","color":"green","bold":true,"clickEvent": {"action": "run_command","value": "/function suiryu_christmas_present_defense:game/give_up"}}']}}

# ステルス説明
  execute if score #SelectChapter Variable matches 9 if score #SelectEpisode Variable matches 4 run function suiryu_christmas_present_defense:game/area/6/start_6

# ファントム説明
  #execute if score #SelectChapter Variable matches 2 if score #SelectEpisode Variable matches 3 run function suiryu_christmas_present_defense:game/area/6/start_3
