#> suiryu_christmas_present_defense:game/area/7/start
#
# エリア別スタート処理
#
# @within function suiryu_christmas_present_defense:game/start

# プレゼント設置
  summon villager 103.50 177.00 52.50 {Silent:1b,DeathLootTable:"0",PersistenceRequired:1b,NoAI:1b,Age:0,Tags:["present_box"],Offers:{},Attributes:[{Name:generic.max_health,Base:100}],Health:100f,Team:"PresentBox"}

# スタートマーカー
  summon marker 4.00 185.00 21.00 {Tags:["start_marker","Area7","Point1"],Rotation:[-90f,0f]}
  summon marker 4.00 185.00 52.00 {Tags:["start_marker","Area7","Point2"],Rotation:[-90f,0f]}
  summon marker 5.00 190.00 92.00 {Tags:["start_marker","Area7","Point3"],Rotation:[-90f,0f]}

# タワー設置エリア

  ##
    execute positioned 88.50 186.00 105.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower1","NotTower"],Rotation:[-90f,0f],height:2.0f,width:3.0f}
    execute positioned 88.50 186.00 105.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 45.50 185.00 104.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower2","NotTower"],Rotation:[180f,0f],height:2.0f,width:3.0f}
    execute positioned 45.50 185.00 104.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 85.50 184.00 71.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower3","NotTower"],Rotation:[180f,0f],height:2.0f,width:3.0f}
    execute positioned 85.50 184.00 71.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 76.50 184.00 71.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower4","NotTower"],Rotation:[180f,0f],height:2.0f,width:3.0f}
    execute positioned 76.50 184.00 71.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 19.50 191.00 69.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower5","NotTower"],Rotation:[180f,0f],height:2.0f,width:3.0f}
    execute positioned 19.50 191.00 69.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 26.50 191.00 69.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower6","NotTower"],Rotation:[-90f,0f],height:2.0f,width:3.0f}
    execute positioned 26.50 191.00 69.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 24.50 185.00 36.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower7","NotTower"],Rotation:[-90f,0f],height:2.0f,width:3.0f}
    execute positioned 24.50 185.00 36.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 59.50 185.00 36.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower8","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 59.50 185.00 36.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 82.50 177.00 36.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower9","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 82.50 177.00 36.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 87.50 177.00 36.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower10","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 87.50 177.00 36.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 86.50 181.00 7.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower11","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 86.50 181.00 7.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 38.50 185.00 8.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower12","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 38.50 185.00 8.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    #execute positioned 75.50 100.00 20.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower13","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    #execute positioned 75.50 100.00 20.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    #execute positioned 33.50 100.00 20.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower14","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    #execute positioned 33.50 100.00 20.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    #execute positioned 51.50 110.00 7.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower15","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    #execute positioned 51.50 110.00 7.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    #execute positioned 32.50 -59.00 65.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower16","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    #execute positioned 32.50 -59.00 65.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

# ゲーム中断看板
  execute unless block 109 178 52 dark_oak_wall_sign run setblock 109 178 52 air
  execute unless block 109 178 52 dark_oak_wall_sign run setblock 109 178 52 dark_oak_wall_sign[facing=west]{front_text:{messages:['{"text":""}','{"translate":"suiryu_christmas_present_defense.game.give_up","color":"red","bold":true,"underlined":true}','{"text":""}','{"translate":"suiryu_christmas_present_defense.right_click","color":"green","bold":true,"clickEvent": {"action": "run_command","value": "/function suiryu_christmas_present_defense:game/give_up"}}']}}

# ステージ説明
  execute if score #SelectChapter Variable matches 4 if score #SelectEpisode Variable matches 1 run function suiryu_christmas_present_defense:game/area/7/start_6

# ファントム説明
  #execute if score #SelectChapter Variable matches 2 if score #SelectEpisode Variable matches 3 run function suiryu_christmas_present_defense:game/area/7/start_3
