#> suiryu_christmas_present_defense:game/area/9/start
#
# エリア別スタート処理
#
# @within function suiryu_christmas_present_defense:game/start

# プレゼント設置
  summon villager 66.50 244.00 59.50 {Silent:1b,DeathLootTable:"0",PersistenceRequired:1b,NoAI:1b,Age:0,Tags:["present_box"],Offers:{},Attributes:[{Name:generic.max_health,Base:100}],Health:100f,Team:"PresentBox"}

# スタートマーカー
  summon marker 108.0 244.00 60.0 {Tags:["start_marker","Area9","Point1"],Rotation:[90f,0f]}
  summon marker 64.00 244.00 4.00 {Tags:["start_marker","Area9","Point2"],Rotation:[0f,0f]}
  summon marker 4.00 244.00 60.00 {Tags:["start_marker","Area9","Point3"],Rotation:[-90f,0f]}
  summon marker 64.00 244.00 108.00 {Tags:["start_marker","Area9","Point4"],Rotation:[180f,0f]}

# タワー設置エリア

  ##
    execute positioned 75.50 244.00 89.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower1","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 75.50 244.00 89.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 56.50 244.00 87.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower2","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 56.50 244.00 87.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 41.50 244.00 67.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower3","NotTower"],Rotation:[180f,0f],height:2.0f,width:3.0f}
    execute positioned 41.50 244.00 67.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 90.50 244.00 67.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower4","NotTower"],Rotation:[180f,0f],height:2.0f,width:3.0f}
    execute positioned 90.50 244.00 67.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 103.50 244.00 52.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower5","NotTower"],Rotation:[90f,0f],height:2.0f,width:3.0f}
    execute positioned 103.50 244.00 52.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 88.50 244.00 52.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower6","NotTower"],Rotation:[-90f,0f],height:2.0f,width:3.0f}
    execute positioned 88.50 244.00 52.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 88.50 244.00 27.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower7","NotTower"],Rotation:[180f,0f],height:2.0f,width:3.0f}
    execute positioned 88.50 244.00 27.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 71.50 244.00 12.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower8","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 71.50 244.00 12.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 71.50 244.00 27.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower9","NotTower"],Rotation:[90f,0f],height:2.0f,width:3.0f}
    execute positioned 71.50 244.00 27.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 56.50 244.00 32.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower10","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 56.50 244.00 32.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    execute positioned 30.50 244.00 52.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower11","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    execute positioned 30.50 244.00 52.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    #execute positioned 63.50 95.00 33.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower12","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    #execute positioned 63.50 95.00 33.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    #execute positioned 75.50 100.00 20.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower13","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    #execute positioned 75.50 100.00 20.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    #execute positioned 33.50 100.00 20.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower14","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    #execute positioned 33.50 100.00 20.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    #execute positioned 51.50 110.00 7.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower15","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    #execute positioned 51.50 110.00 7.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

  ##
    #execute positioned 32.50 -59.00 65.50 run summon interaction ~ ~ ~ {Tags:["Tower","Tower16","NotTower"],Rotation:[0f,0f],height:2.0f,width:3.0f}
    #execute positioned 32.50 -59.00 65.50 run summon text_display ~ ~1.5 ~ {Tags:["TowerText"],billboard:"vertical",text:'{"translate":"suiryu_christmas_present_defense.tower.install","italic":false}'}

# ゲーム中断看板
  execute unless block 59 244 60 dark_oak_sign run setblock 59 244 60 air
  execute unless block 59 244 60 dark_oak_sign run setblock 59 244 60 dark_oak_sign[rotation=12]{front_text:{messages:['{"text":""}','{"translate":"suiryu_christmas_present_defense.game.give_up","color":"red","bold":true,"underlined":true}','{"text":""}','{"translate":"suiryu_christmas_present_defense.right_click","color":"green","bold":true,"clickEvent": {"action": "run_command","value": "/function suiryu_christmas_present_defense:game/give_up"}}']}}

# コウモリ説明
  #execute if score #SelectChapter Variable matches 3 if score #SelectEpisode Variable matches 2 run function suiryu_christmas_present_defense:game/area/9/start_6

# ファントム説明
  #execute if score #SelectChapter Variable matches 2 if score #SelectEpisode Variable matches 3 run function suiryu_christmas_present_defense:game/area/9/start_3
