#> suiryu_christmas_present_defense:game/tower/10_zeus/install
#
# ゼウスタワー設置
#
# @within function suiryu_christmas_present_defense:game/tower/10_zeus/trigger

# 最大配置数確認
  execute if score #ZeusTower Variable >= #ZeusTowerMax Variable run tellraw @a[tag=me] [{"translate":"suiryu_christmas_present_defense.tower.max_install","color": "red"}]
  execute if score #ZeusTower Variable >= #ZeusTowerMax Variable run return 0

# エナジー確認
  execute if score #Energy Variable matches ..999 run tellraw @a[tag=me] [{"translate":"suiryu_christmas_present_defense.tower.not_enough_energy","color": "red"}]
  execute if score #Energy Variable matches ..999 run return 0

# 既にタワーが立っている場合
  execute if entity @s[tag=!NotTower] run tellraw @a[tag=me] [{"translate":"suiryu_christmas_present_defense.tower.already_tower_installed","color": "red"}]
  execute if entity @s[tag=!NotTower] run return 0

# タグ消去
  tag @s remove NotTower

# タグセット
  tag @s add ZeusTower

# スコア初期化
  scoreboard players set @s TowerLevel 1
  scoreboard players set @s TowerAbility1 0
  scoreboard players set @s TowerAbility2 0
  scoreboard players set @s TowerRange 99999
  scoreboard players set @s TowerCT 0
  scoreboard players set @s TowerCTMax 600
  scoreboard players set @s TowerDamage 100
  scoreboard players set @s TowerEnergy 0
  scoreboard players set @s TowerOutage 0

# タワー召喚
  summon item_display ~ ~ ~ {view_range:100f,glow_color_override:15601937,Tags:["ZeusTower","ZeusTower.Tower"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,1.5f,0f],scale:[3f,3f,3f]},item:{id:"minecraft:scute",Count:1b,tag:{CustomModelData:17}},teleport_duration:0}

# 向き設定
  execute at @s as @e[type=item_display,tag=ZeusTower,limit=1,distance=..1] run tp @s ~ ~ ~ ~ 0

# エナジー減少
  scoreboard players remove #Energy Variable 1000

# サウンド
  playsound minecraft:block.iron_door.close master @a ~ ~ ~ 2 0

# 設置数増加
  scoreboard players add #ZeusTower Variable 1

# ディスプレイ再表示
  function suiryu_christmas_present_defense:game/tower/right_click/display

# テキストディスプレイ消去
  execute positioned ~ ~1.5 ~ run kill @e[type=text_display,tag=TowerText,distance=..1]
