#> suiryu_christmas_present_defense:game/tower/15_drone/fly/tick
#
# 飛行中
#
# @within function suiryu_christmas_present_defense:game/tower/15_drone/tick

# 行商人から実行
  execute as @e[type=wandering_trader,tag=suiryu_christmas_present_defense.drone.trader] run function suiryu_christmas_present_defense:game/tower/15_drone/fly/trader

# ターゲットにタグセット
  tag @e[type=#suiryu_christmas_present_defense:enemy,tag=enemy,predicate=!suiryu_christmas_present_defense:enemy/invisibility,limit=1,sort=nearest,distance=..50] add suiryu_christmas_present_defense.drone_target

# 攻撃
  execute if score @s TowerCT matches ..0 run function suiryu_christmas_present_defense:game/tower/15_drone/fly/attack

# ドローンから実行
  execute unless score @s TowerCT = @s TowerCTMax as @e[type=item_display,tag=DroneTower.Drone,limit=1] run function suiryu_christmas_present_defense:game/tower/15_drone/fly/drone

# データ削除
  data remove storage tmp -

# スコア増加
  scoreboard players add @s RightClick 1

# エナジー減少
  execute if score @s RightClick matches 20.. if score @s TowerAbility2 matches 0 if score @s TowerEnergy matches 1.. run scoreboard players remove @s TowerEnergy 1
  execute if score @s RightClick matches 20.. if score @s TowerAbility2 matches 0 run scoreboard players set @s RightClick 0
  execute if score @s RightClick matches 40.. if score @s TowerAbility2 matches 1..2 if score @s TowerEnergy matches 1.. run scoreboard players remove @s TowerEnergy 1
  execute if score @s RightClick matches 40.. if score @s TowerAbility2 matches 1..2 run scoreboard players set @s RightClick 0
  execute if score @s RightClick matches 60.. if score @s TowerAbility2 matches 3.. if score @s TowerEnergy matches 1.. run scoreboard players remove @s TowerEnergy 1
  execute if score @s RightClick matches 60.. if score @s TowerAbility2 matches 3.. run scoreboard players set @s RightClick 0

# 敵が居なければ戻る
  execute unless score @s TowerCT = @s TowerCTMax unless entity @e[type=#suiryu_christmas_present_defense:enemy,tag=suiryu_christmas_present_defense.drone_target] run function suiryu_christmas_present_defense:game/tower/15_drone/back/start

# 戻る
  execute if score @s TowerEnergy matches ..0 run function suiryu_christmas_present_defense:game/tower/15_drone/back/start

# タグ消去
  tag @e[type=#suiryu_christmas_present_defense:enemy,tag=suiryu_christmas_present_defense.drone_target] remove suiryu_christmas_present_defense.drone_target
