#> suiryu_christmas_present_defense:game/tower/22_tree/effect/effect
#
# 発動
#
# @within function suiryu_christmas_present_defense:game/item/present_box/delete

# パーティクル
  execute at @s run particle end_rod ~ ~3 ~ 1 2 1 0.1 50 force
  particle end_rod ~ ~0.5 ~ 0.1 0.1 0.1 0.5 10 force

# 周囲の敵に100ダメージ
  execute as @e[type=#suiryu_christmas_present_defense:enemy,tag=enemy,distance=..5] run damage @s 100 out_of_world by @a[limit=1,sort=nearest]

# 全ての敵に10ダメージ
  execute if score @s TowerLevel matches 2.. as @e[type=#suiryu_christmas_present_defense:enemy,tag=enemy] run damage @s 10 out_of_world by @a[limit=1,sort=nearest]

# 全ての敵の移動速度を10秒間低下
  execute if score @s TowerLevel matches 3.. run effect give @e[type=#suiryu_christmas_present_defense:enemy,tag=enemy] slowness 10 0 true

# エナジーを最大まで回復する
  execute if score @s TowerLevel matches 4.. run scoreboard players set #Energy Variable 9999

# 全てのタワーのクールタイムをリセットする
  execute if score @s TowerLevel matches 5.. run scoreboard players set @e[type=interaction,tag=Tower] TowerCT 0

# 全ての機能停止タワーを再起動する
  execute if score @s TowerLevel matches 6.. run scoreboard players set @e[type=interaction,tag=Tower] TowerOutage 1

# 全てのタワーの射程距離+1
  execute if score @s TowerLevel matches 7.. run scoreboard players add @e[type=interaction,tag=Tower] TowerRange 1

# 全てのタワーのダメージ+1
  execute if score @s TowerLevel matches 8.. run scoreboard players add @e[type=interaction,tag=Tower] TowerDamage 1

# 全ての敵の特殊能力を5秒間無効化する
  execute if score @s TowerLevel matches 9.. run effect give @e[type=#suiryu_christmas_present_defense:enemy,tag=enemy] haste 5 0 true

# プレゼントボックスが新たに付与される
  execute if score @s TowerLevel matches 10 run give @a[sort=random,limit=1] bee_spawn_egg{display:{Name:'{"translate":"suiryu_christmas_present_defense.present_box","italic":false}',Lore:['{"translate":"suiryu_christmas_present_defense.present_box.explanation","color":"#FF9191","italic":false}','{"translate":"suiryu_christmas_present_defense.right_click_to_install","color":"yellow","italic":false}']},EntityTag:{id:"minecraft:item_display",Tags:["present_box"],item:{id:"minecraft:bee_spawn_egg",Count:1b}},CanPlaceOn:["#suiryu_christmas_present_defense:can_place_on"],HideFlags:16}
