#> suiryu_christmas_present_defense:game/tower/4_electric/attack/check_enemy
#
# 敵が範囲内に居るか確認して電撃
#
# @within function suiryu_christmas_present_defense:game/tower/4_electric/attack/attack

# 敵が範囲内に居るか確認
  $execute unless entity @e[type=#suiryu_christmas_present_defense:enemy,tag=enemy,predicate=!suiryu_christmas_present_defense:enemy/invisibility,limit=1,sort=nearest,distance=..$(Range)] run return 0

# ダメージ取得
  scoreboard players operation #Damage Variable = @s TowerDamage

# アビリティ2取得
  scoreboard players operation #Ability2 Variable = @s TowerAbility2

# ダメージ分割
  execute if score #Ability2 Variable matches 1 run scoreboard players operation #Damage Variable /= #2 Variable
  execute if score #Ability2 Variable matches 2 run scoreboard players operation #Damage Variable /= #3 Variable
  execute if score #Ability2 Variable matches 3 run scoreboard players operation #Damage Variable /= #4 Variable
  execute if score #Ability2 Variable matches 4 run scoreboard players operation #Damage Variable /= #5 Variable

# データ設定
  execute store result storage tmp -.Damage int 1 run scoreboard players get #Damage Variable

# 範囲内の敵にタグセット
  $execute if score #Ability2 Variable matches 0 run tag @e[type=#suiryu_christmas_present_defense:enemy,tag=enemy,predicate=!suiryu_christmas_present_defense:enemy/invisibility,limit=1,sort=nearest,distance=..$(Range)] add ElectricTarget
  $execute if score #Ability2 Variable matches 1 run tag @e[type=#suiryu_christmas_present_defense:enemy,tag=enemy,predicate=!suiryu_christmas_present_defense:enemy/invisibility,limit=2,sort=nearest,distance=..$(Range)] add ElectricTarget
  $execute if score #Ability2 Variable matches 2 run tag @e[type=#suiryu_christmas_present_defense:enemy,tag=enemy,predicate=!suiryu_christmas_present_defense:enemy/invisibility,limit=3,sort=nearest,distance=..$(Range)] add ElectricTarget
  $execute if score #Ability2 Variable matches 3 run tag @e[type=#suiryu_christmas_present_defense:enemy,tag=enemy,predicate=!suiryu_christmas_present_defense:enemy/invisibility,limit=4,sort=nearest,distance=..$(Range)] add ElectricTarget
  $execute if score #Ability2 Variable matches 4 run tag @e[type=#suiryu_christmas_present_defense:enemy,tag=enemy,predicate=!suiryu_christmas_present_defense:enemy/invisibility,limit=5,sort=nearest,distance=..$(Range)] add ElectricTarget

# 電撃
  execute positioned ~ ~5.5 ~ as @e[type=#suiryu_christmas_present_defense:enemy,tag=ElectricTarget] run function suiryu_christmas_present_defense:game/tower/4_electric/attack/summon

# データ削除
  data remove storage tmp -

# サウンド
  execute positioned ~ ~5.5 ~ run playsound minecraft:entity.firework_rocket.twinkle master @a ~ ~ ~ 2 2

# CT設定
  scoreboard players operation @s TowerCT = @s TowerCTMax
