#> suiryu_christmas_present_defense:load
#
# ロード時実行
#
# @within tag/function minecraft:load

# gamerule
  gamerule commandBlockOutput false
  gamerule disableRaids false
  gamerule doDaylightCycle false
  gamerule doFireTick false
  gamerule doImmediateRespawn true
  gamerule doMobSpawning false
  gamerule doVinesSpread false
  gamerule doWeatherCycle false
  gamerule keepInventory true
  gamerule maxEntityCramming 100
  gamerule sendCommandFeedback false
  gamerule spawnRadius 0
  gamerule mobGriefing false

# forceload
  forceload add 0 0 111 111
  forceload add -1 -1 1 1

# ワールドスポーン
  setworldspawn 46 30 127

# scoreboard

  ## リスポーン検知
    scoreboard objectives add Respawn custom:time_since_death

  ## リログ検知
    scoreboard objectives add Relogin custom:leave_game

  ## 右クリック
    scoreboard objectives add RightClick used:warped_fungus_on_a_stick

  ## タワーレベル
    scoreboard objectives add TowerLevel dummy

  ## タワーアビリティ1レベル
    scoreboard objectives add TowerAbility1 dummy

  ## タワーアビリティ2レベル
    scoreboard objectives add TowerAbility2 dummy

  ## タワー射程距離
    scoreboard objectives add TowerRange dummy

  ## タワーCT
    scoreboard objectives add TowerCT dummy

  ## タワーMAXCT
    scoreboard objectives add TowerCTMax dummy

  ## タワーダメージ
    scoreboard objectives add TowerDamage dummy

  ## タワーエナジー
    scoreboard objectives add TowerEnergy dummy

  ## 経験値確認
    scoreboard objectives add xp xp
    scoreboard objectives add xpSave dummy

  ## タワー機能停止
    scoreboard objectives add TowerOutage dummy

  ## 変数
    scoreboard objectives add Variable dummy

    ### ゲーム中かどうか
      #declare score_holder #Playing ゲーム中かどうか

    ### プレイ中エリア
      #declare score_holder #Area プレイ中エリア

    ### 選択中チャプター
      #declare score_holder #SelectChapter 選択中チャプター
      execute unless block 31 32 129 dark_oak_wall_sign run scoreboard players set #SelectChapter Variable 1

    ### 選択中ステージ
      #declare score_holder #SelectEpisode 選択中ステージ
      execute unless block 31 32 128 dark_oak_wall_sign run scoreboard players set #SelectEpisode Variable 1

    ### クリア済ステージ
      #declare score_holder #Clear クリア済ステージ
      execute unless score #Clear Variable matches 1..100 run scoreboard players set #Clear Variable 0

    ### トリガー
      scoreboard objectives add Trigger trigger

    ### エナジー
      #declare score_holder #Energy エナジー

    ### タイマー
      #declare score_holder #Timer タイマー

    ### 定数
      scoreboard players set #2 Variable 2
      scoreboard players set #3 Variable 3
      scoreboard players set #4 Variable 4
      scoreboard players set #5 Variable 5
      scoreboard players set #10 Variable 10
      scoreboard players set #50 Variable 50
      scoreboard players set #1000 Variable 1000

# 看板設置

  ## 章選択
    execute unless block 31 32 129 dark_oak_wall_sign run setblock 31 32 129 air
    execute unless block 31 32 129 dark_oak_wall_sign run setblock 31 32 129 dark_oak_wall_sign[facing=east]{front_text:{messages:['{"translate":"suiryu_christmas_present_defense.chapter","with":["1"],"color":"white","bold":true}','{"text":""}','{"translate":"suiryu_christmas_present_defense.chapter_select","color":"green","bold":true}','{"translate":"suiryu_christmas_present_defense.right_click","color":"green","bold":true,"clickEvent": {"action": "run_command","value": "/function suiryu_christmas_present_defense:game/lobby/select_chapter"}}']}}

  ## 話選択
    execute unless block 31 32 128 dark_oak_wall_sign run setblock 31 32 128 air
    execute unless block 31 32 128 dark_oak_wall_sign run setblock 31 32 128 dark_oak_wall_sign[facing=east]{front_text:{messages:['{"translate":"suiryu_christmas_present_defense.episode","with":["1"],"color":"white","bold":true}','{"text":""}','{"translate":"suiryu_christmas_present_defense.episode_select","color":"green","bold":true}','{"translate":"suiryu_christmas_present_defense.right_click","color":"green","bold":true,"clickEvent": {"action": "run_command","value": "/function suiryu_christmas_present_defense:game/lobby/select_episode"}}']}}

  ## スタート
    execute unless block 31 32 126 dark_oak_wall_sign run setblock 31 32 126 air
    execute unless block 31 32 126 dark_oak_wall_sign run setblock 31 32 126 dark_oak_wall_sign[facing=east]{front_text:{messages:['{"text":""}','{"text":"START","color":"yellow","bold":true,"underlined":true}','{"text":""}','{"translate":"suiryu_christmas_present_defense.right_click","color":"green","bold":true,"clickEvent": {"action": "run_command","value": "/function suiryu_christmas_present_defense:game/start"}}']}}

# チーム
  team add Team
  team modify Team collisionRule never
  team modify Team deathMessageVisibility never
  team modify Team friendlyFire false
  team modify Team seeFriendlyInvisibles true
  team add PresentBox
  team modify PresentBox collisionRule never

# bossbar
  bossbar add wave ""
  bossbar set wave color yellow
  bossbar add present ""
  bossbar set present color red
  bossbar set present max 100
  bossbar set present name [{"text": "HP"}]
  bossbar set present style notched_10

#declare storage tmp 一時使用
#alias entity Enemy @e[type=#suiryu_christmas_present_defense:enemy,tag=enemy,predicate=!suiryu_christmas_present_defense:enemy/invisibility,limit=1,sort=nearest]

# ディスプレイ消去
  kill @e[type=item_display,tag=suiryu_christmas_present_defense.logo]

# ディスプレイ召喚
  summon item_display 59.99 32.50 127.50 {Tags:["suiryu_christmas_present_defense.logo"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[20f,20f,20f]},item:{id:"minecraft:scute",Count:1b,tag:{CustomModelData:16}},Rotation:[90f,0f]}
